Subject: [AVTCORE] Alissa Cooper's Yes on draft-ietf-avtcore-5761-update-05: (with COMMENT)

From: "Alissa Cooper" <[email-masked]>
Date: Mon, 10 Oct 2016 08:57:04 -0700

Alissa Cooper has entered the following ballot position for
draft-ietf-avtcore-5761-update-05: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-avtcore-5761-update/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

"If the answerer includes an "a=rtcp-mux" attribute in the answer, the
  offerer and answerer MUST multiplex RTP and RTCP packets on a single
  port.

  If the answer does not contain an "a=rtcp-mux" attribute, the offerer
  and answerer MUST NOT multiplex RTP and RTCP packets on a single
port."

The first of these says "the answerer" and the second says "the answer."
This is also how the text appears in 5761, but the difference between
them caught my eye here because of the other changes being made. Is the
intended meaning different between "the answerer" and the "the answer"?
That is, is the implication that if the answerer include a=rtcp-mux but
that somehow gets modified such that when the answer arrives at the
offerer, it no longer contains a=rtcp-mux, that neither side is supposed
to multiplex? This made a little more sense to me in 5761 because it was
only about what the offerer should do, but now it is about what both
parties should do, so I think it would help to clarify whether these two
statements are both about what the answerer puts in the answer.

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 10 Oct 2016 17:44:59 +0000

Hi Alissa,

Thanks for your comments! See inline.

>  and answerer MUST NOT multiplex RTP and RTCP packets on a single port."
>
> This is also how the text appears in 5761, but the difference between them 
> caught my eye here because of the other changes being made. Is the intended 
> meaning different between "the answerer" and the "the answer"?
>
> That is, is the implication that if the answerer include a=rtcp-mux but that somehow
> gets modified such that when the answer arrives at the offerer, it no longer contains 
> a=rtcp-mux, that neither side is supposed to multiplex? This made a little more sense 
> to me in 5761 because it was only about what the offerer should do, but now it is about
> what both parties should do, so I think it would help to clarify whether these two 

The previous paragraph is about what the answerer puts in the answer, so I suggest to modify:

	"If the answerer includes an "a=rtcp-mux" attribute in the answer,..."

...to:

	"If the answer contains an "a=rtcp-mux" attribute answer,..."

Regards,

Christer